import 'dart:convert';

import 'package:flutter/material.dart';
import 'package:ui_sdk/components/UikText.dart';
import 'package:ui_sdk/generated/json/uik_drop_down_container_props.g.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:ui_sdk/props/WidgetProps.dart';

class UikDropDownContainerProps extends WidgetProps {
  late String id;

  late Widget? title;

  late String html;

  UikDropDownContainerProps();
  factory UikDropDownContainerProps.fromJson(Map<String, dynamic> json) =>
      $UikDropDownContainerPropsFromJson(json);

  set data(UikText data) {}

  Map<String, dynamic> toJson() => $UikDropDownContainerPropsToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
